using System;
using System.Collections.Generic;
using System.Text;

namespace Cropper.SendToTwitPic
{
   public class TwitPicSettings
    {
       private string _twitPicID = "";
       private string _twitPicPassword = "";
       private bool _showDebugInfo = false;
       
       /// <summary>
       /// The ID of your TwitPic account
       /// </summary>
 
       public string TwitPicID
       {
            get { return _twitPicID; }
            set { _twitPicID = value; }
       }

       /// <summary>
       /// The password of your TwitPic account
       /// </summary>
       public string TwitPicPassword
       {
            get { return _twitPicPassword; }
            set { _twitPicPassword = value; }
       }

       /// <summary>
       /// Indicates whether or not debug info will be logged 
       /// to the Windows Application Event log
       /// </summary>
       public bool ShowDebugInfo
       {
           get { return _showDebugInfo; }
           set { _showDebugInfo = value; }
       }
    }
}
