using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

using Cropper.SendToTwitPic;

namespace Cropper.SendToTwitPicTester
{
    public partial class TwitPicSendForm : Form
    {
        public TwitPicSendForm()
        {
            InitializeComponent();
        }

        private void btnSendToTwitPic_Click(object sender, EventArgs e)
        {
            TwitPic tp = new TwitPic();

            if (this.txtPostingUrl.Text.Trim().Length > 0)
            {
                tp.TwitPicPostingUrl = this.txtPostingUrl.Text.Trim();
            }
            
            tp.PluginSettings.TwitPicID = this.txtTwitPicID.Text;
            tp.PluginSettings.TwitPicPassword = this.txtTwitPicPassword.Text;
            string randomGuid = new Guid().ToString();

            if (this.txtImagePath.Text.Trim().Length > 0)
            {
                tp.FileName = this.txtImagePath.Text.Trim();
                byte[] data = File.ReadAllBytes(tp.FileName);
                tp.ImageFileContents = Encoding.GetEncoding("iso-8859-1").GetString(data);
            }
            else
            {
                tp.FileName = string.Format("{0}.PNG", randomGuid);
                tp.ImageFileContents = "test";
            }

            //string rq = tp.CreateRequestContents(randomGuid);
            tp.PostToTwitPic();

            this.txtRequest.Text = tp.TwitPicRequest;
            this.lblMediaUrl.Text = tp.PostedMediaUrl;
            this.lblErrorMsg.Text = tp.TwitPicErrorMsg;
        }
    }
}